Open topic with navigation

TIBCO BusinessConnect™ Container Edition 1.2.0

# Poller Server

Poller Server (PS) retrieves inbound requests from FTP and SFTP servers, Mail server, and shared file directory. It includes both inbound and outbound file pollers.

Poller Server communicates with Interior Server using the Enterprise Message Service message bus to receive inbound messages.

A diagram of Poller Server and Interior Server communications is depicted in the following figure.

Figure 12: Poller and Interior Server Architecture

Legend
DB | Database
DMZ | Demilitarized Zone
IS | Interior Server
JMX | Java Management Extensions

## Poller Server Properties

BusinessConnect Container Edition, the Poller Server framework provides various configuration properties that allows each Poller Server engine in your deployment to execute poller tasks of one or more specific types. The supported poller types are Inbound Email, Inbound FILE, Inbound FTP, and Outbound FILE. You can specify the number of Poller Server engines to execute a specific poller type, the rate at which the trading partner configurations are to be reloaded, and the associated priority for a specific poller type.

Using the Poller Server dispatch mechanism, each Poller Server engine reads the configuration during startup and executes the pollers using Round-robin algorithm. BusinessConnect Container Edition supports the following configuration properties:

## bcce_poller_engines=integer

The number of Poller Servers in your deployment. The default value is set to 1.

## bcce_poller_{ib_email|ib_file|ob_file|ib_ftp}_instances=integer

The number of engines executing a specific poller type. The default value is set to 1. This value should be in the range of 1..<bcce.poller.engines>. A zero value implies that the poller tasks of this type are never run.

## bcce_poller_{ib_email|ib_file|ob_file|ib_ftp}_refresh_rate=integer

The refresh rate (in seconds). The default value is set to 300. The trading partner configurations are reloaded periodically after the specified interval. Any running poller tasks are terminated before reloading the trading partner configurations and then restarted.

## bcce_poller_{ib_email|ib_file|ob_file|ib_ftp}_weight=integer

The priority of the poller (1 being low - 10 being high). The default value is set to 10. Poller tasks of specified type are started by the Poller Server engine in decreasing order of the assigned priority. The combination of priority and instance of configuration parameters enables a Poller Server engine to run poller tasks of different types, reduce the overall load on that engine, and improve its performance.

Based on the number of Poller Server engines and configuration of individual poller types you can address the requirements such as running poller tasks of a specific type in separate Poller Server engines or running poller tasks of specific type in multiple poller server engines. Ensure that the poller tasks are executed in the subsequent refresh cycles, irrespective of the number of jobs involved.

Subtopics

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO BusinessConnect™ Container Edition

Copyright © 2001-2022. TIBCO Software Inc. All Rights Reserved.